/*
This is part of datacrate, a node.js library for working with 
DataCrates.  Copyright (C) 2018  University of Technology Sydney

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

const chai = require('chai');
const chaiFiles = require('chai-files');
chai.use(chaiFiles);
const assert = chai.assert;
const expect = chai.expect;
const file = chaiFiles.file;

const fs = require('fs-extra');


const catalog = require('../lib/catalog.js');


const ORG = { 
	'@id': 'https://www.uts.edu.au',
	'name': 'University of Technology Sydney'
};

const DATASET_ID = 'https://data.research.uts.edu.au/public/XYZ';

describe("ReDBox data publication to DataCrate catalog.json", () => {

	it("Can run at all ", async () => {
		const dp = await fs.readJson('./test_data/datapub.json');
		const cj = await catalog.datapub2catalog(DATASET_ID, dp, ORG);
		console.log(JSON.stringify(cj, null, 2));
		assert(cj, "Got something back")
	});

});


